using System;
using System.Windows.Forms;
using GTA;

namespace AidenMove
{

    public class CopGun : Script
    {

        bool onoff = true,animated = false;
        AnimationSet armsup = new AnimationSet("missroman13");
        AnimationFlags animflags = AnimationFlags.Unknown12 | AnimationFlags.Unknown11 | AnimationFlags.Unknown09 | AnimationFlags.Unknown06;

        public CopGun()
        {
            this.Tick += new EventHandler(this.ArmsOnUp);
            BindKey(Settings.GetValueKey("TURNOFF-ON", "SETTINGS", Keys.I), new KeyPressDelegate(TurnONOFF));
            Interval = Settings.GetValueInteger("INTERVAL", "SETTINGS", 20);
            
        }
        private void ArmsOnUp(object sender, EventArgs e)
        {
            if
                ((onoff == false) &&
                Player.Character.isAlive &&
                Player.Character.isIdle &&
                !Player.Character.isInVehicle() &&
                !Player.Character.isGettingUp &&
                !Player.Character.isShooting &&
                !Player.Character.isRagdoll &&
                !Player.Character.isInMeleeCombat &&
                !Player.Character.isGettingIntoAVehicle &&
                !Player.Character.isInCombat &&
                !Player.Character.isOnFire &&
                !Player.Character.isInWater &&
                !(GTA.Game.isGameKeyPressed(GameKey.Aim)) &&
                !(GTA.Native.Function.Call<bool>("IS_CHAR_SHOOTING",Player.Character)))
            {
                    if ((Player.Character.Weapons.CurrentType == Weapon.Unarmed) ||
                     (Player.Character.Weapons.CurrentType == Weapon.Unarmed) ||
                     (Player.Character.Weapons.CurrentType == Weapon.TBOGT_Pistol44) ||
                     (Player.Character.Weapons.CurrentType == Weapon.TLAD_Automatic9mm))
                        {
                        GTA.Native.Function.Call("REQUEST_ANIMS", "missroman13");
                        Player.Character.Task.PlayAnimation(armsup, "roman_walk_part", 2.00F, animflags);
                        Player.Character.Task.AlwaysKeepTask = false;
                        
                        }
                        else
                        {
                            Player.Character.Task.ClearSecondary();
                            animated = false;
                        }
            }
            else if ((animated==false) || ((GTA.Game.isGameKeyPressed(GameKey.Sprint))) || (GTA.Game.isGameKeyPressed(GameKey.Jump)) || (GTA.Game.isGameKeyPressed(GameKey.Action)))
                    {
                        Player.Character.Task.ClearSecondary();
                        GTA.Native.Function.Call("REMOVE_ANIMS", "missroman13");
                            animated = false;
                            Player.CanControlCharacter = true;
                    }
        }
        private void TurnONOFF()
        {
            if (onoff)
            {
                onoff = false;
                Game.DisplayText("Aidenmove ON");
            }
            else
            {
                onoff = true;
                Game.DisplayText("Aidenmove OFF");
            }
        }
}
}
